<template>
  <div style="display:inline;margin:0 16px">
    <el-popconfirm
      title="确定删除当前商品吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "id": 20220924095202,
        "content": {
          "sa_shoppingcartids": [this.data.sa_shoppingcartid]
        },
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
